<?php

namespace App\Http\Controllers;

use App\Daerah;
use Illuminate\Http\Request;

class DaerahController extends Controller
{
    public function index()
    {
        $daerah = Daerah::on('mysql7')->with('negeri')->get();
        return response()->json($daerah);
    }

    public function showOneDaerah($koddaerah)
    {
        $daerah = Daerah::on('mysql7')
                    ->where('koddaerah','=',$koddaerah)
                    ->first();
        return response()->json($daerah);
    }

    public function showOneNegeri($kodnegeri)
    {
        $daerah = Daerah::on('mysql7')
                    ->where('kodnegeri','=',$kodnegeri)
                    ->get();

        return response()->json($daerah);
    }
}
